# EntroPy Password Generator - Bug Report

Thank you for reporting a bug in the **EntroPy Password Generator**! Please provide detailed information to help us diagnose and fix the issue. See [CONTRIBUTING.md](https://github.com/gerivanc/entropy-password-generator/blob/main/CONTRIBUTING.md) for guidelines.

---

## 📌 Bug Description
Describe the bug clearly. For example:
- "Running `entropy-password-generator --mode 1` raises an `ImportError`."

**Description**:
[Enter description here]

---

## 🔄 Steps to Reproduce
List the steps to reproduce the bug:
1. Install: `pip install entropy-password-generator`.
2. Run: `entropy-password-generator --mode 1`.
3. Observe: `[Error message]`.

**Steps**:
1. [Step 1]
2. [Step 2]
3. [Step 3]

---

## ✅ Expected Behavior
Describe what should happen:
- "The command should generate a 24-character password with 139.92 bits of entropy."

**Expected Behavior**:
[Enter expected behavior here]

---

## 🖥️ Environment Details
To check versions:
- Python: `python3 --version`
- Project: `entropy-password-generator --version`

- **Operating System**: [e.g., Ubuntu 24.04]
- **Python Version**: [e.g., 3.10]
- **Project Version**: [e.g., 0.5.9]
- **Installation Method**: [e.g., PyPI]

---

## 📸 Screenshots or Logs
Include the full stack trace or terminal output:
```bash
[Insert output or error message here]
```

---

## 🔒 Security Note
For security vulnerabilities, report privately via [SECURITY.md](https://github.com/gerivanc/entropy-password-generator/blob/main/SECURITY.md).

---

**Upvote or comment** to prioritize this bug. Thank you! 🚀🔑

---

#### Copyright © 2025 Gerivan Costa dos Santos
